tcpdump LLDP解析器缓冲区错误漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1135126 漏洞类型 缓冲区错误
发布时间 2017-08-22 更新时间 2019-10-23
CVE编号 CVE-2017-13054 CNNVD-ID CNNVD-201708-855
漏洞平台 N/A CVSS评分 7.5
|漏洞来源
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201708-855
|漏洞详情
tcpdump是Tcpdump团队开发的一套运行在命令行下的嗅探工具。该工具主要用于数据包分析和网络流量捕获等。LLDP parser是其中的一个链路层发现协议解析器。 tcpdump 4.9.2之前的版本中的LLDP解析器的print-lldp.c文件的‘lldp_private_8023_print()’存在安全漏洞。远程攻击者可利用该漏洞造成拒绝服务(缓冲区越边界读取和应用程序崩溃)。
|参考资料

来源:CONFIRM
链接:http://www.tcpdump.org/tcpdump-changes.txt
来源:CONFIRM
链接:https://github.com/the-tcpdump-group/tcpdump/commit/e6511cc1a950fe1566b2236329d6b4bd0826cc7a